[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# StartOfAYear

Return the first day of a given year.

## Declaration

Source position: dateutil.inc line 149

`function StartOfAYear(`
`const AYear: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year to get first date from.

## Function result

First day of AYear as a TDateTime

## Description

StartOfAYear returns a TDateTime value with the date of the first day of the year AYear (January 1).

## See also

StartOfTheYear |  | Return the first day of the year, given a date in this year.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.

## Example

    Program Example26;

    { This program demonstrates the StartOfAYear function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"First day of this year : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,StartOfAYear(YearOf(Today))));
    End.